# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=python
pkgver=3.10.5
pkgrel=1
pkgdesc="Next generation of the python high-level scripting language"
arch=('x86_64')
url="https://www.python.org/"
license=('custom')
groups=('base')
depends=('bzip2' 'expat' 'gdbm' 'glibc' 'libffi' 'ncurses' 'openssl' 'zlib')
makedepends=('bash' 'binutils' 'coreutils' 'gcc' 'gettext' 'grep' 'make' 'sed' 'util-linux')
source=(https://www.python.org/ftp/python/${pkgver%.*}/Python-${pkgver}.tar.xz
    ${pkgname}-${pkgver}-lib64.patch)
sha256sums=(8437efd5b106ef0a75aabfbf23d880625120a73a86a22ade4d2e2e68d7b74486
    f3b711c47a9010b8eb1bac02710b6a254240ad7f9b4746a8f3458ed08f66315d)

prepare() {
    cd Python-${pkgver}

    patch -p1 -i ${srcdir}/${pkgname}-${pkgver}-lib64.patch
}

build() {
    cd Python-${pkgver}

    ${configure}                 \
        --with-platlibdir=lib64  \
        --enable-shared          \
        --with-system-expat      \
        --without-ensurepip      \
        --enable-optimizations

    make
}

package() {
    cd Python-${pkgver}

    make DESTDIR=${pkgdir} install
}
